Commit 101aacd8 authored by EclipseSpark's avatar EclipseSpark

new build tree with multiple variants

parent 40f80e90
binary.*
prepare.log
binary
images
cache
chroot
chroot.packages.install
chroot.packages.live
.stage
.lock
.build/
config/binary
config/bootstrap
config/common
config/source
This diff is collapsed.
Some Debian bugs filed for issues encountered in Kali:
#684865: live-build: lb_binary_syslinux fails to include flavour in menu entry
#684891: live-build: add a config parameter to define the project name
#684893: live-build: fails to find bootloaders files when running from git checkout
#684896: live-build: loading of build.sh does not work as expected in various scripts
parrot-build
============
live-build config folder for Parrot Security OS
www.parrotsec.org
#!/bin/sh
lb build noauto "$@" 2>&1 | tee binary.log
lb build noauto "$@" 2>&1 | tee logfile.log
find binary -name "*686-pae-di_*.udeb" -type f -delete
find binary -name "*.deb" -type f -delete
lb binary_iso --force
#!/bin/bash
#!/bin/sh
lb clean noauto "$@"
rm -f config/binary config/bootstrap \
config/chroot config/common config/source \
......
#!/bin/sh
#!/bin/bash
set -e
set -o pipefail # Bashism
parrot_mirror=http://eu.archive.parrotsec.org/mirrors/debian/
parrotsec_mirror=http://uarchive.parrotsec.org.org/mirrors/parrot
......@@ -19,9 +22,19 @@ while [ $# -gt 0 ]; do
temp="$temp "'"'"$2"'"'
shift
;;
--proposed-updates)
--distribution)
dist="$2"
shift
;;
--variant)
variant="$2"
shift
;;
-p|--proposed-updates)
enable_pu="1"
;;
--)
;;
*)
temp="$temp "'"'"$arg"'"'
;;
......@@ -31,13 +44,13 @@ done
eval set -- "$temp"
# live-build doesn't work if --parent-debian-distribution is unknown of
# debian-cd => we have to put a symlink so that it deals with parrot like wheezy
if [ ! -e /usr/share/live/build/data/debian-cd/stable ]; then
if [ -w /usr/share/live/build/data/debian-cd ]; then
ln -sf jessie /usr/share/live/build/data/debian-cd/stable
# debian-cd => we have to put a symlink so that it deals with kali like sid
if [ ! -e ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist ]; then
if [ -w ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd ]; then
ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist
else
echo "ERROR: Run this first:"
echo "ln -sf jessie /usr/share/live/build/data/debian-cd/stable"
echo "ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist"
exit 1
fi
fi
......@@ -60,6 +73,16 @@ case "$arch" in
;;
esac
# Setup configuration files from variant and options
# Drop all files that a former run might have put into place
for file in $(cd config && find . -type f); do
file=${file#./*/}
rm -f config/$file
done
cp -rT templates/common config
[ ! -d templates/parrot-$variant ] || cp -rTL templates/parrot-$variant config
lb config noauto \
--distribution "$dist" \
......@@ -85,5 +108,3 @@ lb config noauto \
--bootappend-live "boot=live noconfig=sudo username=root hostname=parrot" \
$lb_opts \
"$@"
# Don' use systemd for now
#sed -i -e 's/systemd/sysvinit/' config/package-lists/live.list.chroot
#!/bin/bash
set -e
set -o pipefail # Bashism
#!/bin/bash
set -e
echo "cleaning locales"
bleachbit -c system.localizations &> /dev/null && echo "done"
#parrot-mirror-selector eu
echo -e "# This file is empty, feel free to add here your custom APT repositories\n\n# The standard Parrot repositories are NOT here. If you want to\n# edit them, take a look into\n# /etc/apt/sources.list.d/parrot.list\n# /etc/apt/sources.list.d/debian.list\n\n\n\n# If you want to change the default parrot repositories setting\n# another localized mirror, then use the command parrot-mirror-selector\n# and see its usage message to know what mirrors are available\n\n\n\n#uncomment the following line to enable the Parrot Testing Repository\n#deb http://us.repository.frozenbox.org/parrot testing main contrib nonfree" > /etc/apt/sources.list
#rm -f etc/apt/sources.list.d/parrot-build.list
update-rc.d dnsmasq enable
apt-get purge -y texlive-latex-extra-doc texlive-pstricks-doc texlive-pictures-doc texlive-latex-recommended-doc texlive-latex-base-doc texlive-fonts-recommended-doc texlive-pstricks-doc seclists mingw* gnat* clang* gcc-mingw* g++-mingw*
#!/bin/bash
set -e
echo "cleaning locales"
bleachbit -c system.localizations &> /dev/null && echo "done"
#parrot-mirror-selector eu
echo -e "# This file is empty, feel free to add here your custom APT repositories\n\n# The standard Parrot repositories are NOT here. If you want to\n# edit them, take a look into\n# /etc/apt/sources.list.d/parrot.list\n# /etc/apt/sources.list.d/debian.list\n\n\n\n# If you want to change the default parrot repositories setting\n# another localized mirror, then use the command parrot-mirror-selector\n# and see its usage message to know what mirrors are available\n\n\n\n#uncomment the following line to enable the Parrot Testing Repository\n#deb http://us.repository.frozenbox.org/parrot testing main contrib nonfree" > /etc/apt/sources.list
#rm -f etc/apt/sources.list.d/parrot-build.list
update-rc.d dnsmasq enable
apt-get purge -y texlive-latex-extra-doc texlive-pstricks-doc texlive-pictures-doc texlive-latex-recommended-doc texlive-latex-base-doc texlive-fonts-recommended-doc texlive-pstricks-doc seclists mingw* gnat* clang* gcc-mingw* g++-mingw*
#!/usr/bin/env xdg-open
[Desktop Entry]
Version=1.0
Name=Install Parrot Security OS
Comment=Install this system permanently to your hard disk
Exec=su-to-root -X -c /usr/sbin/debian-installer-launcher
Icon=gdeb
Type=Application
Categories=Application;System;
StartupNotify=true
Terminal=false
#!/bin/sh
#if [ ! -x /etc/init.d/network-manager ]; then
# exit 0
#fi
#case $1 in
# startup)
# /etc/init.d/network-manager stop
# ;;
# cleanup)
# /etc/init.d/network-manager start
# ;;
#esac
live-boot
live-config
live-config-systemd
dbus
#!/bin/sh
find binary -name "*.deb" -type f -delete
/home/eclipse/Desktop/parrot-build-new/templates/common/hooks/clean.binary
\ No newline at end of file
/home/eclipse/Desktop/parrot-build-new/templates/common/hooks/parrot-hooks.chroot
\ No newline at end of file
/home/eclipse/Desktop/parrot-build-new/templates/common/hooks/sleep.chroot
\ No newline at end of file
/home/eclipse/Desktop/parrot-build-new/templates/common/hooks/parrot-hooks.chroot
\ No newline at end of file
/home/eclipse/Desktop/parrot-build-new/templates/common/hooks/sleep.chroot
\ No newline at end of file
#!/bin/bash
set -e
echo "Manually disabling inetd"
systemctl disable inetd || true
systemctl --user enable pulseaudio.service || true
mkdir -p /etc/systemd/network
ln -sf /dev/null /etc/systemd/network/90-mac-for-usb.link
ln -sf /dev/null /etc/systemd/network/99-default.link
update-rc.d dnsmasq enable
pip install prettytable Mako PyYAML python-dateutil PySocks --upgrade
apt-get purge -y texlive-latex-extra-doc texlive-pstricks-doc texlive-pictures-doc texlive-latex-recommended-doc texlive-latex-base-doc texlive-fonts-recommended-doc texlive-pstricks-doc seclists mingw* gnat* clang* gcc-mingw* g++-mingw*
echo "cleaning locales"
bleachbit -c system.localizations &> /dev/null && echo "done"
#parrot-mirror-selector eu
echo -e "# This file is empty, feel free to add here your custom APT repositories\n\n# The standard Parrot repositories are NOT here. If you want to\n# edit them, take a look into\n# /etc/apt/sources.list.d/parrot.list\n# /etc/apt/sources.list.d/debian.list\n\n\n\n# If you want to change the default parrot repositories setting\n# another localized mirror, then use the command parrot-mirror-selector\n# and see its usage message to know what mirrors are available\n\n\n\n#uncomment the following line to enable the Parrot Testing Repository\n#deb http://us.repository.frozenbox.org/parrot testing main contrib nonfree" > /etc/apt/sources.list
#rm -f etc/apt/sources.list.d/parrot-build.list
update-rc.d dnsmasq enable
apt-get purge -y texlive-latex-extra-doc texlive-pstricks-doc texlive-pictures-doc texlive-latex-recommended-doc texlive-latex-base-doc texlive-fonts-recommended-doc texlive-pstricks-doc seclists mingw* gnat* clang* gcc-mingw* g++-mingw*
update-initramfs -u
#!/bin/sh
while pgrep -f update-parrot-menu >/dev/null; do
echo "Sleeping 10 seconds as update-parrot-menu is still running..."
sleep 10
done
......@@ -6,9 +6,9 @@ menu color hotsel 1;7;37;40 #ffffffff #76a1d0ff *
menu color tabmsg * #46ADDDff #00000000 *
menu color help 37;40 #ffddddaa #00000000 none
menu vshift 4
menu rows 20
menu rows 21
menu tabmsg ENTER (boot) - TAB (edit) - Arrows (select) - user: root - password: toor
# The command line must be at least one line from the bottom.
menu cmdlinerow 18
menu timeoutrow 19
menu cmdlinerow 21
menu timeoutrow 22
menu tabmsgrow 30
#!/bin/sh
# Allow PasswordAuthentification in sshd config
sed -i -e 's|\(PasswordAuthentication\) no|\1 yes|' /etc/ssh/sshd_config
# Do not allow root login without password
sed -i -e 's|\(PermitRootLogin\) without-password|\1 yes|' /etc/ssh/sshd_config
#!/bin/sh
if [ ! -x /etc/init.d/network-manager ]; then
exit 0
fi
case $1 in
startup)
/etc/init.d/network-manager stop
;;
cleanup)
/etc/init.d/network-manager start
;;
esac
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Parrot GNU/Linux installer"
DISTRIB_RELEASE="2.0 (Parrot)"
DISTRIB_RELEASE="2.1 (Parrot)"
X_INSTALLATION_MEDIUM=cdrom
##
## Add all known firmwares
##
#if ARCHITECTURES i386 amd64
firmware-b43legacy-installer
firmware-b43-installer
......@@ -17,4 +15,14 @@ firmware-atheros
firmware-bnx2
firmware-libertas
bluez-firmware
firmware-brcm80211
#firmware-brcm80211
#firmware-amd-graphics
#firmware-cavium
#firmware-intel-sound
#firmware-misc-nonfree
#firmware-myricom
#firmware-qlogic
#firmware-samsung
#firmware-siano
#firmware-ti-connectivity
#standard packages
! Packages Priority standard
# debian launcher
debian-installer-launcher
......@@ -11,16 +10,6 @@ linux-image
# parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
#parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
# provide l10n for everybody
locales-all
......@@ -32,11 +21,6 @@ console-setup
vboot-kernel-utils
#endif
#if ARCHITECTURES i386 amd64
firmware-b43legacy-installer
firmware-b43-installer
#endif
#important stuff
cowsay
cryptsetup
......@@ -58,12 +42,7 @@ sudo
unrar
upx-ucl
zsh
vinagre
etherape
torchat
cone
bleach
vlc
#filesystem support
......
## parrot metapackages
apt-parrot
parrot-core
parrot-cloud
parrot-tools-cloud
## other packages
cone
bleach
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
parrot-interface-full
parrot-tools
#parrot-tools-cloud
parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
#parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
#parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## desktop environment
parrot-gnome
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## desktop environment
parrot-kde
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
#parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## desktop environment
parrot-lxde
## parrot metapackages
apt-parrot
parrot-core
#parrot-cloud
parrot-interface
#parrot-interface-full
parrot-tools
#parrot-tools-cloud
#parrot-tools-full
parrot-stealth
parrot-drivers
parrot-plymouth
parrot-sounds
## other packages
vinagre
etherape
torchat
cone
bleach
vlc
## desktop environment
parrot-xfce
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment